# Class InitialCreate | EchoHub Documentation

# Class InitialCreate

Namespace
  EchoHub.Server.Data.Migrations

Assembly
  EchoHub.Server.dll

    [DbContext(typeof(EchoHubDbContext))]
    [Migration("20260219023113_InitialCreate")]
    public class InitialCreate : Migration

Inheritance
  object
  Migration
  InitialCreate

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### InitialCreate()

    public InitialCreate()

## Methods

### BuildTargetModel(ModelBuilder)

    protected override void BuildTargetModel(ModelBuilder modelBuilder)

#### Parameters

`modelBuilder` ModelBuilder

### Down(MigrationBuilder)

    protected override void Down(MigrationBuilder migrationBuilder)

#### Parameters

`migrationBuilder` MigrationBuilder

### Up(MigrationBuilder)

    protected override void Up(MigrationBuilder migrationBuilder)

#### Parameters

`migrationBuilder` MigrationBuilder